package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PengkajianAwalPsikologi;
import com.jasamedika.medifirst2000.entities.RiwayatPerkembanganDetail;
import com.jasamedika.medifirst2000.helper.Caption;

public class RiwayatPerkembanganVO extends BaseTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "RiwayatPerkembanganDetailFk")
	@NotNull(message = "Riwayat Perkembangan Detail tidak boleh kosong")
	private RiwayatPerkembanganDetailVO riwayatPerkembanganDetail;
	
	@ManyToOne
	@JoinColumn(name = "PengkajianAwalPsikologiFk")
	@NotNull(message = "Pengkajian Awal Psikologi tidak boleh kosong")
	private PengkajianAwalPsikologiVO pengkajianAwalPsikologi;
	
	@Column(name = "keterangan")
	@Caption(value = "Keterangan")
	private String keterangan;	

	public RiwayatPerkembanganDetailVO getRiwayatPerkembanganDetail() {
		return riwayatPerkembanganDetail;
	}

	public void setRiwayatPerkembanganDetail(RiwayatPerkembanganDetailVO riwayatPerkembanganDetail) {
		this.riwayatPerkembanganDetail = riwayatPerkembanganDetail;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public PengkajianAwalPsikologiVO getPengkajianAwalPsikologi() {
		return pengkajianAwalPsikologi;
	}

	public void setPengkajianAwalPsikologi(PengkajianAwalPsikologiVO pengkajianAwalPsikologi) {
		this.pengkajianAwalPsikologi = pengkajianAwalPsikologi;
	}	
	
}
